<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flex Sample</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-direction: row;
            justify-content: stretch;
            flex-wrap: wrap;
            align-items: stretch;
        }

        #container>div {
            background: dodgerblue;
            border: 1px solid magenta;
            display: flex;
            justify-content: center;
            align-items: center;
            color: white;
        }

        #div1 {
            flex: 100%;
            order: 3;
        }

        #div2 {
            flex: 5;
            order: 2;
        }

        #div3 {
            order: 1;
            flex: 1;
        }

        #div4 {
            order: 4;
            flex: 2;
        }

        #div5 {
            order: 5;
            flex: 1;
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="div1">1</div>
        <div id="div2">2</div>
        <div id="div3">3</div>
        <div id="div4">4</div>
        <div id="div5">5</div>
    </div>
</body>

</html>